{ pkgs, config, ... }: {

    # Make the kernel use the correct driver early
    boot.initrd.kernelModules = [ "amdgpu" ];

    # For 32 bit applications
    hardware.opengl.driSupport32Bit = true;

    # AMDVLK drivers can be used in addition to the Mesa RADV drivers
    hardware.opengl.extraPackages = with pkgs; [
        amdvlk
        rocmPackages.clr.icd
    ];

    environment.systemPackages = with pkgs; [
        nvtop-amd
        clinfo
        rocmPackages.clr
    ];
}
